import { SvgIconProps } from "../../app/types/types";


export function SidebarMobileMenuClose(props: SvgIconProps) {
  return (
    <svg width="34" height="34" viewBox="0 0 34 34" fill="none" xmlns="http://www.w3.org/2000/svg" {...props}>
      <path
        d="M23.8907 10.0871C23.7004 9.90269 23.4447 9.80132 23.1797 9.80529C22.9154 9.80925 22.6634 9.91772 22.4788 10.1069L16.9999 15.5858L11.521 10.1069C11.4289 10.0125 11.319 9.93729 11.1977 9.88553C11.0758 9.83352 10.9448 9.80625 10.8123 9.80531C10.6798 9.80438 10.5484 9.82979 10.4258 9.88007C10.3032 9.93035 10.1918 10.0045 10.098 10.0982C10.0043 10.1919 9.93019 10.3033 9.87991 10.4259C9.82963 10.5485 9.80422 10.6799 9.80516 10.8124C9.8061 10.945 9.83336 11.076 9.88537 11.1979C9.93713 11.3192 10.0124 11.429 10.1068 11.5211L15.5857 17L10.1068 22.479C10.0124 22.5711 9.93713 22.6809 9.88537 22.8022C9.83336 22.9241 9.8061 23.0551 9.80516 23.1877C9.80422 23.3202 9.82963 23.4516 9.87991 23.5742C9.93019 23.6968 10.0043 23.8082 10.098 23.9019C10.1918 23.9956 10.3032 24.0697 10.4258 24.12C10.5484 24.1703 10.6798 24.1957 10.8123 24.1948C10.9448 24.1938 11.0758 24.1666 11.1977 24.1146C11.319 24.0628 11.4289 23.9876 11.521 23.8932L16.9999 18.4143L22.4788 23.8932C22.5709 23.9876 22.6808 24.0628 22.8021 24.1146C22.924 24.1666 23.055 24.1938 23.1875 24.1948C23.32 24.1957 23.4514 24.1703 23.574 24.12C23.6966 24.0697 23.808 23.9956 23.9017 23.9019C23.9954 23.8082 24.0696 23.6968 24.1199 23.5742C24.1702 23.4516 24.1956 23.3202 24.1946 23.1877C24.1937 23.0551 24.1664 22.9241 24.1144 22.8022C24.0627 22.6809 23.9874 22.5711 23.893 22.479L18.4141 17L23.893 11.5211C23.9884 11.4281 24.0642 11.317 24.116 11.1943C24.1681 11.071 24.1948 10.9385 24.1948 10.8046C24.1947 10.6708 24.1677 10.5383 24.1155 10.415C24.0633 10.2918 23.9868 10.1803 23.8907 10.0871Z"
        fill="white"
        stroke="white"
        strokeWidth="0.5"
      />
    </svg>
  )
}
